(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define("BPR", [], factory);
	else if(typeof exports === 'object')
		exports["BPR"] = factory();
	else
		root["BPR"] = factory();
})(self, function() {
return (self["webpackChunkBPR"] = self["webpackChunkBPR"] || []).push([[638],{

/***/ 570:
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
exports.__esModule = true;
exports.Modal = void 0;
var react_1 = __importStar(__webpack_require__(297));
var context_1 = __webpack_require__(385);
exports.Modal = react_1["default"].forwardRef(function (props, ref) {
    var children = props.children, _a = props.show, show = _a === void 0 ? true : _a, _b = props.animateIn, animateIn = _b === void 0 ? true : _b, _c = props.animateOut, animateOut = _c === void 0 ? true : _c;
    var _d = react_1.useContext(context_1.BPRContext), getClassName = _d.getClassName, themedComponents = _d.themedComponents;
    var Div = react_1.useMemo(function () { return themedComponents; }, [themedComponents]).Div;
    var backdropRef = react_1.createRef();
    var modalRef = ref ? ref : react_1.createRef();
    var addClass = react_1.useCallback(function (className, ref) { return ref.current.classList.add(getClassName(className)); }, [getClassName]);
    var removeClass = react_1.useCallback(function (className, ref) { return ref.current.classList.remove(getClassName(className)); }, [getClassName]);
    react_1.useEffect(function () {
        if (show) {
            addClass("d-block", backdropRef);
            removeClass("d-none", backdropRef);
            addClass("d-block", modalRef);
            removeClass("d-none", modalRef);
            var showMWithAnimation = function () {
                addClass("show", modalRef);
                addClass("show", backdropRef);
            };
            if (animateIn) {
                setTimeout(showMWithAnimation, 10);
            }
            else
                showMWithAnimation();
        }
        else {
            removeClass("show", modalRef);
            removeClass("show", backdropRef);
            var hideModal = function () {
                removeClass("d-block", backdropRef);
                addClass("d-none", backdropRef);
                removeClass("d-block", modalRef);
                addClass("d-none", modalRef);
            };
            if (animateOut)
                setTimeout(hideModal, 150);
            else
                hideModal();
        }
    }, [show]);
    return (react_1["default"].createElement(react_1.Fragment, null,
        react_1["default"].createElement(Div, { className: "modal fade d-none", ref: modalRef }, children),
        react_1["default"].createElement(Div, { className: "modal-backdrop fade", ref: backdropRef })));
});


/***/ }),

/***/ 740:
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
exports.__esModule = true;
__exportStar(__webpack_require__(570), exports);


/***/ })

},
/******/ __webpack_require__ => { // webpackRuntimeModules
/******/ "use strict";
/******/ 
/******/ var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
/******/ var __webpack_exports__ = (__webpack_exec__(740));
/******/ return __webpack_exports__;
/******/ }
]);
});